VERSION 2.00
Begin Form Quick_Tip 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Double
   Caption         =   "Quick Tip"
   ClientHeight    =   3285
   ClientLeft      =   1650
   ClientTop       =   2115
   ClientWidth     =   6315
   Height          =   3690
   Left            =   1590
   LinkTopic       =   "Quick_Tip"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3285
   ScaleWidth      =   6315
   Top             =   1770
   Width           =   6435
   Begin CheckBox show_tip 
      BackColor       =   &H00C0C0C0&
      Caption         =   "Show Tips at Startup"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   3000
      Value           =   1  'Checked
      Width           =   3495
   End
   Begin CommandButton Quick_Tip_ 
      Caption         =   "&Help"
      Height          =   375
      Left            =   4800
      TabIndex        =   4
      Top             =   1680
      Width           =   1455
   End
   Begin CommandButton More_Tip_Button 
      Caption         =   "&More Tips..."
      Height          =   375
      Left            =   4800
      TabIndex        =   3
      Top             =   1200
      Width           =   1455
   End
   Begin CommandButton Next_Tip_Button 
      Caption         =   "&Next Tip"
      Height          =   375
      Left            =   4800
      TabIndex        =   2
      Top             =   600
      Width           =   1455
   End
   Begin CommandButton Quick_Tip_OK_Button 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   4800
      TabIndex        =   0
      Top             =   120
      Width           =   1455
   End
   Begin Image Image1 
      Height          =   615
      Left            =   360
      Picture         =   QUICKTIP.FRX:0000
      Top             =   250
      Width           =   420
   End
   Begin Label Label1 
      Caption         =   "Did You Know..."
      Height          =   255
      Left            =   840
      TabIndex        =   5
      Top             =   480
      Width           =   1575
   End
   Begin Label tip_text 
      Caption         =   "Tip Text...................."
      Height          =   1695
      Left            =   360
      TabIndex        =   6
      Top             =   960
      Width           =   4095
      WordWrap        =   -1  'True
   End
   Begin Shape Shape1 
      BackColor       =   &H00FFFFFF&
      FillColor       =   &H00FFFFFF&
      FillStyle       =   0  'Solid
      Height          =   2535
      Left            =   240
      Top             =   240
      Width           =   4335
   End
   Begin Line Line4 
      BorderColor     =   &H00FFFFFF&
      X1              =   4680
      X2              =   4680
      Y1              =   2880
      Y2              =   120
   End
   Begin Line Line3 
      BorderColor     =   &H00808080&
      X1              =   4680
      X2              =   120
      Y1              =   120
      Y2              =   120
   End
   Begin Line Line2 
      BorderColor     =   &H00FFFFFF&
      X1              =   4680
      X2              =   120
      Y1              =   2880
      Y2              =   2880
   End
   Begin Line Line1 
      BorderColor     =   &H00808080&
      X1              =   120
      X2              =   120
      Y1              =   120
      Y2              =   2880
   End
End
Declare Function GetPrivateProfileString Lib "Kernel" (ByVal Section As String, ByVal Entry As String, ByVal DefaultValueEntry As String, ByVal ReturnedEntry As String, ByVal EntryValueSize As Integer, ByVal FileName As String) As Integer
Declare Function WritePrivateProfileString Lib "Kernel" (ByVal Section As String, ByVal Entry As String, ByVal EntryValue As String, ByVal FileName As String) As Integer

Dim current_tip As String
Dim quick_ini As String

Sub Form_Load ()
    tip_tex = ""
    quick_ini = CurDir$ + "\QUICKTIP.INI"
    start_tip = Trim(rtv_ini_data(quick_ini, "TIP", "START"))
    
    If start_tip = "T" Then
        show_tip = 1
    Else
        show_tip = 0
    End If

    load_tip
End Sub

Sub load_tip ()
    quick_ini = CurDir$ + "\QUICKTIP.INI"
    current_tip = rtv_ini_data(quick_ini, "TIP", "CURRENT")
    tip_text = rtv_ini_data(quick_ini, "TIP", current_tip)
    current_tip = CStr(Val(current_tip) + 1)
    error_check = rtv_ini_data(quick_ini, "TIP", current_tip)
    If error_check = "unknown" Then
        current_tip = "1"
    End If
    xx = upd_ini_data(quick_ini, "TIP", "CURRENT", current_tip)
End Sub

Sub More_Tip_Button_Click ()
    MsgBox "Place more Tip help under this button", 0
End Sub

Sub Next_Tip_Button_Click ()
    load_tip
End Sub

Sub Quick_Tip__Click ()
    MsgBox "Place your help under this button", 0
End Sub

Sub Quick_Tip_OK_Button_Click ()
    Dim start_tip As String
    If show_tip Then
        start_tip = "T"
    Else
        start_tip = "F"
    End If
    quick_ini = CurDir$ + "\QUICKTIP.INI"
    xx = upd_ini_data(quick_ini, "TIP", "START", start_tip)
    
    End
    'unload QUICKTIP
End Sub

Function rtv_ini_data$ (ini_File$, ini_select$, ini_entry$)
        ' rtv_ini_data("XXX.INI","ENVIRONMENT","PATH")
        Dim temp_string As String
        
        rtv_ini_data$ = ""
        
        Section$ = ini_select$
        Entry$ = ini_entry$
        DefaultValue$ = "unknown"
        EntryValue$ = Space$(1000)
        EntryValueSize = 1000
        
        x% = GetPrivateProfileString(Section$, Entry$, DefaultValue$, EntryValue$, EntryValueSize, ini_File$)
        If x% = 0 Then
            box_msg$ = " Invalid Entry -> " + Section$ + "/" + Entry$
            MsgBox box_msg$, 16, "Loading Error"
        End If
        
        Len_string = Len(Trim$(EntryValue$)) - 1
        temp_string = Left$(EntryValue$, Len_string)
        rtv_ini_data$ = temp_string
End Function

Function upd_ini_data$ (ini_File$, ini_select$, ini_entry$, EntryValue$)
        ' upd_ini_data("XXX.INI","ENVIRONMENT","PATH", "C:\")
        
        upd_ini_data$ = ""
        
        Section$ = ini_select$
        Entry$ = ini_entry$
        
        x% = WritePrivateProfileString(Section$, Entry$, EntryValue$, ini_File$)
        If x% = 0 Then
            box_msg$ = " Invalid Entry -> " + Section$ + "/" + Entry$
            MsgBox box_msg$, 16, "Loading Error"
        End If
        
End Function

